<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Sdt_ProcessarpsIn' => '\\StructType\\Sdt_ProcessarpsIn',
            'Sdt_ProcessarpsIn.Login' => '\\StructType\\Sdt_ProcessarpsIn_Login',
            'Sdt_ProcessarpsIn.SDTRPS' => '\\StructType\\Sdt_ProcessarpsIn_SDTRPS',
            'Reg20' => '\\StructType\\Reg20',
            'ArrayOfSdt_ProcessarpsIn.SDTRPS.Reg20Item' => '\\ArrayType\\ArrayOfSdt_ProcessarpsIn_SDTRPS_Reg20Item',
            'Sdt_ProcessarpsIn.SDTRPS.Reg20Item' => '\\StructType\\Sdt_ProcessarpsIn_SDTRPS_Reg20Item',
            'Reg30' => '\\StructType\\Reg30',
            'Sdt_ProcessarpsIn.SDTRPS.Reg90' => '\\StructType\\Sdt_ProcessarpsIn_SDTRPS_Reg90',
            'ArrayOfSdt_ProcessarpsIn.SDTRPS.Reg20Item.Reg30Item' => '\\ArrayType\\ArrayOfSdt_ProcessarpsIn_SDTRPS_Reg20Item_Reg30Item',
            'Sdt_ProcessarpsIn.SDTRPS.Reg20Item.Reg30Item' => '\\StructType\\Sdt_ProcessarpsIn_SDTRPS_Reg20Item_Reg30Item',
            'Sdt_ProcessarpsOut' => '\\StructType\\Sdt_ProcessarpsOut',
            'Messages' => '\\StructType\\Messages',
            'ArrayOfSdt_ProcessarpsOut.Message' => '\\ArrayType\\ArrayOfSdt_ProcessarpsOut_Message',
            'Sdt_ProcessarpsOut.Message' => '\\StructType\\Sdt_ProcessarpsOut_Message',
            'SDT_ConsultaProtocoloIn' => '\\StructType\\SDT_ConsultaProtocoloIn',
            'SDT_ConsultaProtocoloIn.Login' => '\\StructType\\SDT_ConsultaProtocoloIn_Login',
            'SDT_ConsultaNotasProtocoloOut' => '\\StructType\\SDT_ConsultaNotasProtocoloOut',
            'ArrayOfSDT_ConsultaNotasProtocoloOut.Message' => '\\ArrayType\\ArrayOfSDT_ConsultaNotasProtocoloOut_Message',
            'SDT_ConsultaNotasProtocoloOut.Message' => '\\StructType\\SDT_ConsultaNotasProtocoloOut_Message',
            'SDT_ConsultaNotasProtocoloOut.XML_Notas' => '\\StructType\\SDT_ConsultaNotasProtocoloOut_XML_Notas',
            'ArrayOfSDT_ConsultaNotasProtocoloOut.XML_Notas.Reg20Item' => '\\ArrayType\\ArrayOfSDT_ConsultaNotasProtocoloOut_XML_Notas_Reg20Item',
            'SDT_ConsultaNotasProtocoloOut.XML_Notas.Reg20Item' => '\\StructType\\SDT_ConsultaNotasProtocoloOut_XML_Notas_Reg20Item',
            'SDT_ConsultaNotasProtocoloOut.XML_Notas.Reg90' => '\\StructType\\SDT_ConsultaNotasProtocoloOut_XML_Notas_Reg90',
            'ArrayOfSDT_ConsultaNotasProtocoloOut.XML_Notas.Reg20Item.Reg30Item' => '\\ArrayType\\ArrayOfSDT_ConsultaNotasProtocoloOut_XML_Notas_Reg20Item_Reg30Item',
            'SDT_ConsultaNotasProtocoloOut.XML_Notas.Reg20Item.Reg30Item' => '\\StructType\\SDT_ConsultaNotasProtocoloOut_XML_Notas_Reg20Item_Reg30Item',
            'NFSERecebida_IN' => '\\StructType\\NFSERecebida_IN',
            'SDT_ConsNFSERecebida_In.Login' => '\\StructType\\SDT_ConsNFSERecebida_In_Login',
            'SDT_ConsNFSERecebida_In.Filtro' => '\\StructType\\SDT_ConsNFSERecebida_In_Filtro',
            'SDT_ConsultaProtocoloOut' => '\\StructType\\SDT_ConsultaProtocoloOut',
            'ArrayOfSDT_ConsultaProtocoloOut.Message' => '\\ArrayType\\ArrayOfSDT_ConsultaProtocoloOut_Message',
            'SDT_ConsultaProtocoloOut.Message' => '\\StructType\\SDT_ConsultaProtocoloOut_Message',
            'Sdt_CancelaNFE' => '\\StructType\\Sdt_CancelaNFE',
            'Sdt_CancelaNFE.Login' => '\\StructType\\Sdt_CancelaNFE_Login',
            'Sdt_CancelaNFE.Nota' => '\\StructType\\Sdt_CancelaNFE_Nota',
            'Sdt_RetornoCancelaNFE' => '\\StructType\\Sdt_RetornoCancelaNFE',
            'ArrayOfSdt_RetornoCancelaNFE.Message' => '\\ArrayType\\ArrayOfSdt_RetornoCancelaNFE_Message',
            'Sdt_RetornoCancelaNFE.Message' => '\\StructType\\Sdt_RetornoCancelaNFE_Message',
            'ws_nfe.PROCESSARPS' => '\\StructType\\Ws_nfe_PROCESSARPS',
            'ws_nfe.PROCESSARPSResponse' => '\\StructType\\Ws_nfe_PROCESSARPSResponse',
            'ws_nfe.CONSULTANOTASPROTOCOLO' => '\\StructType\\Ws_nfe_CONSULTANOTASPROTOCOLO',
            'ws_nfe.CONSULTANOTASPROTOCOLOResponse' => '\\StructType\\Ws_nfe_CONSULTANOTASPROTOCOLOResponse',
            'ws_nfe.CONSNFSERECEBIDAS' => '\\StructType\\Ws_nfe_CONSNFSERECEBIDAS',
            'ws_nfe.CONSNFSERECEBIDASResponse' => '\\StructType\\Ws_nfe_CONSNFSERECEBIDASResponse',
            'ws_nfe.CONSULTAPROTOCOLO' => '\\StructType\\Ws_nfe_CONSULTAPROTOCOLO',
            'ws_nfe.CONSULTAPROTOCOLOResponse' => '\\StructType\\Ws_nfe_CONSULTAPROTOCOLOResponse',
            'ws_nfe.VERFICARPS' => '\\StructType\\Ws_nfe_VERFICARPS',
            'ws_nfe.VERFICARPSResponse' => '\\StructType\\Ws_nfe_VERFICARPSResponse',
            'ws_nfe.CANCELANOTAELETRONICA' => '\\StructType\\Ws_nfe_CANCELANOTAELETRONICA',
            'ws_nfe.CANCELANOTAELETRONICAResponse' => '\\StructType\\Ws_nfe_CANCELANOTAELETRONICAResponse',
            'ws_nfe.IMPRESSAOLINKNFSE' => '\\StructType\\Ws_nfe_IMPRESSAOLINKNFSE',
            'ws_nfe.IMPRESSAOLINKNFSEResponse' => '\\StructType\\Ws_nfe_IMPRESSAOLINKNFSEResponse',
        );
    }
}
