<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Messages StructType
 * @subpackage Structs
 */
class Messages extends AbstractStructBase
{
    /**
     * The Message
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Sdt_ProcessarpsOut_Message[]
     */
    public $Message;
    /**
     * Constructor method for Messages
     * @uses Messages::setMessage()
     * @param \StructType\Sdt_ProcessarpsOut_Message[] $message
     */
    public function __construct(array $message = array())
    {
        $this
            ->setMessage($message);
    }
    /**
     * Get Message value
     * @return \StructType\Sdt_ProcessarpsOut_Message[]|null
     */
    public function getMessage()
    {
        return $this->Message;
    }
    /**
     * This method is responsible for validating the values passed to the setMessage method
     * This method is willingly generated in order to preserve the one-line inline validation within the setMessage method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateMessageForArrayConstraintsFromSetMessage(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $messagesMessageItem) {
            // validation for constraint: itemType
            if (!$messagesMessageItem instanceof \StructType\Sdt_ProcessarpsOut_Message) {
                $invalidValues[] = is_object($messagesMessageItem) ? get_class($messagesMessageItem) : sprintf('%s(%s)', gettype($messagesMessageItem), var_export($messagesMessageItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Message property can only contain items of type \StructType\Sdt_ProcessarpsOut_Message, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Message value
     * @throws \InvalidArgumentException
     * @param \StructType\Sdt_ProcessarpsOut_Message[] $message
     * @return \StructType\Messages
     */
    public function setMessage(array $message = array())
    {
        // validation for constraint: array
        if ('' !== ($messageArrayErrorMessage = self::validateMessageForArrayConstraintsFromSetMessage($message))) {
            throw new \InvalidArgumentException($messageArrayErrorMessage, __LINE__);
        }
        $this->Message = $message;
        return $this;
    }
    /**
     * Add item to Message value
     * @throws \InvalidArgumentException
     * @param \StructType\Sdt_ProcessarpsOut_Message $item
     * @return \StructType\Messages
     */
    public function addToMessage(\StructType\Sdt_ProcessarpsOut_Message $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Sdt_ProcessarpsOut_Message) {
            throw new \InvalidArgumentException(sprintf('The Message property can only contain items of type \StructType\Sdt_ProcessarpsOut_Message, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Message[] = $item;
        return $this;
    }
}
