<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SDT_ConsultaProtocoloOut StructType
 * @subpackage Structs
 */
class SDT_ConsultaProtocoloOut extends AbstractStructBase
{
    /**
     * The Retorno
     * @var bool
     */
    public $Retorno;
    /**
     * The PrtXSts
     * @var string
     */
    public $PrtXSts;
    /**
     * The PrtCSerRps
     * @var string
     */
    public $PrtCSerRps;
    /**
     * The PrtCRps_1
     * @var int
     */
    public $PrtCRps_1;
    /**
     * The PrtCRps_2
     * @var int
     */
    public $PrtCRps_2;
    /**
     * The PrtLPrcIni
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $PrtLPrcIni;
    /**
     * The PrtLFinGrv
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $PrtLFinGrv;
    /**
     * The PnfCNfe_1
     * @var int
     */
    public $PnfCNfe_1;
    /**
     * The PnfCnfe_2
     * @var int
     */
    public $PnfCnfe_2;
    /**
     * The Messages
     * @var \StructType\Messages
     */
    public $Messages;
    /**
     * Constructor method for SDT_ConsultaProtocoloOut
     * @uses SDT_ConsultaProtocoloOut::setRetorno()
     * @uses SDT_ConsultaProtocoloOut::setPrtXSts()
     * @uses SDT_ConsultaProtocoloOut::setPrtCSerRps()
     * @uses SDT_ConsultaProtocoloOut::setPrtCRps_1()
     * @uses SDT_ConsultaProtocoloOut::setPrtCRps_2()
     * @uses SDT_ConsultaProtocoloOut::setPrtLPrcIni()
     * @uses SDT_ConsultaProtocoloOut::setPrtLFinGrv()
     * @uses SDT_ConsultaProtocoloOut::setPnfCNfe_1()
     * @uses SDT_ConsultaProtocoloOut::setPnfCnfe_2()
     * @uses SDT_ConsultaProtocoloOut::setMessages()
     * @param bool $retorno
     * @param string $prtXSts
     * @param string $prtCSerRps
     * @param int $prtCRps_1
     * @param int $prtCRps_2
     * @param string $prtLPrcIni
     * @param string $prtLFinGrv
     * @param int $pnfCNfe_1
     * @param int $pnfCnfe_2
     * @param \StructType\Messages $messages
     */
    public function __construct($retorno = null, $prtXSts = null, $prtCSerRps = null, $prtCRps_1 = null, $prtCRps_2 = null, $prtLPrcIni = null, $prtLFinGrv = null, $pnfCNfe_1 = null, $pnfCnfe_2 = null, \StructType\Messages $messages = null)
    {
        $this
            ->setRetorno($retorno)
            ->setPrtXSts($prtXSts)
            ->setPrtCSerRps($prtCSerRps)
            ->setPrtCRps_1($prtCRps_1)
            ->setPrtCRps_2($prtCRps_2)
            ->setPrtLPrcIni($prtLPrcIni)
            ->setPrtLFinGrv($prtLFinGrv)
            ->setPnfCNfe_1($pnfCNfe_1)
            ->setPnfCnfe_2($pnfCnfe_2)
            ->setMessages($messages);
    }
    /**
     * Get Retorno value
     * @return bool|null
     */
    public function getRetorno()
    {
        return $this->Retorno;
    }
    /**
     * Set Retorno value
     * @param bool $retorno
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setRetorno($retorno = null)
    {
        // validation for constraint: boolean
        if (!is_null($retorno) && !is_bool($retorno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($retorno, true), gettype($retorno)), __LINE__);
        }
        $this->Retorno = $retorno;
        return $this;
    }
    /**
     * Get PrtXSts value
     * @return string|null
     */
    public function getPrtXSts()
    {
        return $this->PrtXSts;
    }
    /**
     * Set PrtXSts value
     * @param string $prtXSts
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setPrtXSts($prtXSts = null)
    {
        // validation for constraint: string
        if (!is_null($prtXSts) && !is_string($prtXSts)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($prtXSts, true), gettype($prtXSts)), __LINE__);
        }
        $this->PrtXSts = $prtXSts;
        return $this;
    }
    /**
     * Get PrtCSerRps value
     * @return string|null
     */
    public function getPrtCSerRps()
    {
        return $this->PrtCSerRps;
    }
    /**
     * Set PrtCSerRps value
     * @param string $prtCSerRps
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setPrtCSerRps($prtCSerRps = null)
    {
        // validation for constraint: string
        if (!is_null($prtCSerRps) && !is_string($prtCSerRps)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($prtCSerRps, true), gettype($prtCSerRps)), __LINE__);
        }
        $this->PrtCSerRps = $prtCSerRps;
        return $this;
    }
    /**
     * Get prtCRps value
     * @return prtCRps
     */
    public function getPrtCRps_1()
    {
        return $this->PrtCRps_1;
    }
    /**
     * Set prtCRps value
     * @param prtCRps $prtCRps
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setPrtCRps_1($prtCRps_1 = null)
    {
        // validation for constraint: int
        if (!is_null($prtCRps_1) && !(is_int($prtCRps_1) || ctype_digit($prtCRps_1))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($prtCRps_1, true), gettype($prtCRps_1)), __LINE__);
        }
        $this->PrtCRps_1 = $prtCRps_1;
        return $this;
    }
    /**
     * Get prtCRps value
     * @return prtCRps
     */
    public function getPrtCRps_2()
    {
        return $this->PrtCRps_2;
    }
    /**
     * Set prtCRps value
     * @param prtCRps $prtCRps
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setPrtCRps_2($prtCRps_2 = null)
    {
        // validation for constraint: int
        if (!is_null($prtCRps_2) && !(is_int($prtCRps_2) || ctype_digit($prtCRps_2))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($prtCRps_2, true), gettype($prtCRps_2)), __LINE__);
        }
        $this->PrtCRps_2 = $prtCRps_2;
        return $this;
    }
    /**
     * Get PrtLPrcIni value
     * @return string|null
     */
    public function getPrtLPrcIni()
    {
        return $this->PrtLPrcIni;
    }
    /**
     * Set PrtLPrcIni value
     * @param string $prtLPrcIni
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setPrtLPrcIni($prtLPrcIni = null)
    {
        // validation for constraint: string
        if (!is_null($prtLPrcIni) && !is_string($prtLPrcIni)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($prtLPrcIni, true), gettype($prtLPrcIni)), __LINE__);
        }
        $this->PrtLPrcIni = $prtLPrcIni;
        return $this;
    }
    /**
     * Get PrtLFinGrv value
     * @return string|null
     */
    public function getPrtLFinGrv()
    {
        return $this->PrtLFinGrv;
    }
    /**
     * Set PrtLFinGrv value
     * @param string $prtLFinGrv
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setPrtLFinGrv($prtLFinGrv = null)
    {
        // validation for constraint: string
        if (!is_null($prtLFinGrv) && !is_string($prtLFinGrv)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($prtLFinGrv, true), gettype($prtLFinGrv)), __LINE__);
        }
        $this->PrtLFinGrv = $prtLFinGrv;
        return $this;
    }
    /**
     * Get pnfCNfe value
     * @return pnfCNfe
     */
    public function getPnfCNfe_1()
    {
        return $this->PnfCNfe_1;
    }
    /**
     * Set pnfCNfe value
     * @param pnfCNfe $pnfCNfe
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setPnfCNfe_1($pnfCNfe_1 = null)
    {
        // validation for constraint: int
        if (!is_null($pnfCNfe_1) && !(is_int($pnfCNfe_1) || ctype_digit($pnfCNfe_1))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pnfCNfe_1, true), gettype($pnfCNfe_1)), __LINE__);
        }
        $this->PnfCNfe_1 = $pnfCNfe_1;
        return $this;
    }
    /**
     * Get pnfCnfe value
     * @return pnfCnfe
     */
    public function getPnfCnfe_2()
    {
        return $this->PnfCnfe_2;
    }
    /**
     * Set pnfCnfe value
     * @param pnfCnfe $pnfCnfe
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setPnfCnfe_2($pnfCnfe_2 = null)
    {
        // validation for constraint: int
        if (!is_null($pnfCnfe_2) && !(is_int($pnfCnfe_2) || ctype_digit($pnfCnfe_2))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pnfCnfe_2, true), gettype($pnfCnfe_2)), __LINE__);
        }
        $this->PnfCnfe_2 = $pnfCnfe_2;
        return $this;
    }
    /**
     * Get Messages value
     * @return \StructType\Messages|null
     */
    public function getMessages()
    {
        return $this->Messages;
    }
    /**
     * Set Messages value
     * @param \StructType\Messages $messages
     * @return \StructType\SDT_ConsultaProtocoloOut
     */
    public function setMessages(\StructType\Messages $messages = null)
    {
        $this->Messages = $messages;
        return $this;
    }
}
