<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SDT_ConsultaProtocoloOut.Message StructType
 * @subpackage Structs
 */
class SDT_ConsultaProtocoloOut_Message extends AbstractStructBase
{
    /**
     * The Id
     * @var string
     */
    public $Id;
    /**
     * The Type
     * @var string
     */
    public $Type;
    /**
     * The Description
     * @var string
     */
    public $Description;
    /**
     * The LinErr
     * @var int
     */
    public $LinErr;
    /**
     * Constructor method for SDT_ConsultaProtocoloOut.Message
     * @uses SDT_ConsultaProtocoloOut_Message::setId()
     * @uses SDT_ConsultaProtocoloOut_Message::setType()
     * @uses SDT_ConsultaProtocoloOut_Message::setDescription()
     * @uses SDT_ConsultaProtocoloOut_Message::setLinErr()
     * @param string $id
     * @param string $type
     * @param string $description
     * @param int $linErr
     */
    public function __construct($id = null, $type = null, $description = null, $linErr = null)
    {
        $this
            ->setId($id)
            ->setType($type)
            ->setDescription($description)
            ->setLinErr($linErr);
    }
    /**
     * Get Id value
     * @return string|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param string $id
     * @return \StructType\SDT_ConsultaProtocoloOut_Message
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \StructType\SDT_ConsultaProtocoloOut_Message
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->Type = $type;
        return $this;
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $description
     * @return \StructType\SDT_ConsultaProtocoloOut_Message
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->Description = $description;
        return $this;
    }
    /**
     * Get LinErr value
     * @return int|null
     */
    public function getLinErr()
    {
        return $this->LinErr;
    }
    /**
     * Set LinErr value
     * @param int $linErr
     * @return \StructType\SDT_ConsultaProtocoloOut_Message
     */
    public function setLinErr($linErr = null)
    {
        // validation for constraint: int
        if (!is_null($linErr) && !(is_int($linErr) || ctype_digit($linErr))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($linErr, true), gettype($linErr)), __LINE__);
        }
        $this->LinErr = $linErr;
        return $this;
    }
}
