<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Sdt_ProcessarpsIn.SDTRPS StructType
 * @subpackage Structs
 */
class Sdt_ProcessarpsIn_SDTRPS extends AbstractStructBase
{
    /**
     * The Ano
     * @var string
     */
    public $Ano;
    /**
     * The Mes
     * @var string
     */
    public $Mes;
    /**
     * The CPFCNPJ
     * @var string
     */
    public $CPFCNPJ;
    /**
     * The DTIni
     * @var string
     */
    public $DTIni;
    /**
     * The DTFin
     * @var string
     */
    public $DTFin;
    /**
     * The TipoTrib
     * @var string
     */
    public $TipoTrib;
    /**
     * The DtAdeSN
     * @var string
     */
    public $DtAdeSN;
    /**
     * The AlqIssSN_IP
     * @var string
     */
    public $AlqIssSN_IP;
    /**
     * The Versao
     * @var string
     */
    public $Versao;
    /**
     * The Reg20
     * @var \StructType\Reg20
     */
    public $Reg20;
    /**
     * The Reg90
     * @var \StructType\Sdt_ProcessarpsIn_SDTRPS_Reg90
     */
    public $Reg90;
    /**
     * Constructor method for Sdt_ProcessarpsIn.SDTRPS
     * @uses Sdt_ProcessarpsIn_SDTRPS::setAno()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setMes()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setCPFCNPJ()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setDTIni()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setDTFin()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setTipoTrib()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setDtAdeSN()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setAlqIssSN_IP()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setVersao()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setReg20()
     * @uses Sdt_ProcessarpsIn_SDTRPS::setReg90()
     * @param string $ano
     * @param string $mes
     * @param string $cPFCNPJ
     * @param string $dTIni
     * @param string $dTFin
     * @param string $tipoTrib
     * @param string $dtAdeSN
     * @param string $alqIssSN_IP
     * @param string $versao
     * @param \StructType\Reg20 $reg20
     * @param \StructType\Sdt_ProcessarpsIn_SDTRPS_Reg90 $reg90
     */
    public function __construct($ano = null, $mes = null, $cPFCNPJ = null, $dTIni = null, $dTFin = null, $tipoTrib = null, $dtAdeSN = null, $alqIssSN_IP = null, $versao = null, \StructType\Reg20 $reg20 = null, \StructType\Sdt_ProcessarpsIn_SDTRPS_Reg90 $reg90 = null)
    {
        $this
            ->setAno($ano)
            ->setMes($mes)
            ->setCPFCNPJ($cPFCNPJ)
            ->setDTIni($dTIni)
            ->setDTFin($dTFin)
            ->setTipoTrib($tipoTrib)
            ->setDtAdeSN($dtAdeSN)
            ->setAlqIssSN_IP($alqIssSN_IP)
            ->setVersao($versao)
            ->setReg20($reg20)
            ->setReg90($reg90);
    }
    /**
     * Get Ano value
     * @return string|null
     */
    public function getAno()
    {
        return $this->Ano;
    }
    /**
     * Set Ano value
     * @param string $ano
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setAno($ano = null)
    {
        // validation for constraint: string
        if (!is_null($ano) && !is_string($ano)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ano, true), gettype($ano)), __LINE__);
        }
        $this->Ano = $ano;
        return $this;
    }
    /**
     * Get Mes value
     * @return string|null
     */
    public function getMes()
    {
        return $this->Mes;
    }
    /**
     * Set Mes value
     * @param string $mes
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setMes($mes = null)
    {
        // validation for constraint: string
        if (!is_null($mes) && !is_string($mes)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mes, true), gettype($mes)), __LINE__);
        }
        $this->Mes = $mes;
        return $this;
    }
    /**
     * Get CPFCNPJ value
     * @return string|null
     */
    public function getCPFCNPJ()
    {
        return $this->CPFCNPJ;
    }
    /**
     * Set CPFCNPJ value
     * @param string $cPFCNPJ
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setCPFCNPJ($cPFCNPJ = null)
    {
        // validation for constraint: string
        if (!is_null($cPFCNPJ) && !is_string($cPFCNPJ)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cPFCNPJ, true), gettype($cPFCNPJ)), __LINE__);
        }
        $this->CPFCNPJ = $cPFCNPJ;
        return $this;
    }
    /**
     * Get DTIni value
     * @return string|null
     */
    public function getDTIni()
    {
        return $this->DTIni;
    }
    /**
     * Set DTIni value
     * @param string $dTIni
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setDTIni($dTIni = null)
    {
        // validation for constraint: string
        if (!is_null($dTIni) && !is_string($dTIni)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dTIni, true), gettype($dTIni)), __LINE__);
        }
        $this->DTIni = $dTIni;
        return $this;
    }
    /**
     * Get DTFin value
     * @return string|null
     */
    public function getDTFin()
    {
        return $this->DTFin;
    }
    /**
     * Set DTFin value
     * @param string $dTFin
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setDTFin($dTFin = null)
    {
        // validation for constraint: string
        if (!is_null($dTFin) && !is_string($dTFin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dTFin, true), gettype($dTFin)), __LINE__);
        }
        $this->DTFin = $dTFin;
        return $this;
    }
    /**
     * Get TipoTrib value
     * @return string|null
     */
    public function getTipoTrib()
    {
        return $this->TipoTrib;
    }
    /**
     * Set TipoTrib value
     * @param string $tipoTrib
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setTipoTrib($tipoTrib = null)
    {
        // validation for constraint: string
        if (!is_null($tipoTrib) && !is_string($tipoTrib)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tipoTrib, true), gettype($tipoTrib)), __LINE__);
        }
        $this->TipoTrib = $tipoTrib;
        return $this;
    }
    /**
     * Get DtAdeSN value
     * @return string|null
     */
    public function getDtAdeSN()
    {
        return $this->DtAdeSN;
    }
    /**
     * Set DtAdeSN value
     * @param string $dtAdeSN
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setDtAdeSN($dtAdeSN = null)
    {
        // validation for constraint: string
        if (!is_null($dtAdeSN) && !is_string($dtAdeSN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dtAdeSN, true), gettype($dtAdeSN)), __LINE__);
        }
        $this->DtAdeSN = $dtAdeSN;
        return $this;
    }
    /**
     * Get AlqIssSN_IP value
     * @return string|null
     */
    public function getAlqIssSN_IP()
    {
        return $this->AlqIssSN_IP;
    }
    /**
     * Set AlqIssSN_IP value
     * @param string $alqIssSN_IP
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setAlqIssSN_IP($alqIssSN_IP = null)
    {
        // validation for constraint: string
        if (!is_null($alqIssSN_IP) && !is_string($alqIssSN_IP)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($alqIssSN_IP, true), gettype($alqIssSN_IP)), __LINE__);
        }
        $this->AlqIssSN_IP = $alqIssSN_IP;
        return $this;
    }
    /**
     * Get Versao value
     * @return string|null
     */
    public function getVersao()
    {
        return $this->Versao;
    }
    /**
     * Set Versao value
     * @param string $versao
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setVersao($versao = null)
    {
        // validation for constraint: string
        if (!is_null($versao) && !is_string($versao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($versao, true), gettype($versao)), __LINE__);
        }
        $this->Versao = $versao;
        return $this;
    }
    /**
     * Get Reg20 value
     * @return \StructType\Reg20|null
     */
    public function getReg20()
    {
        return $this->Reg20;
    }
    /**
     * Set Reg20 value
     * @param \StructType\Reg20 $reg20
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setReg20(\StructType\Reg20 $reg20 = null)
    {
        $this->Reg20 = $reg20;
        return $this;
    }
    /**
     * Get Reg90 value
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS_Reg90|null
     */
    public function getReg90()
    {
        return $this->Reg90;
    }
    /**
     * Set Reg90 value
     * @param \StructType\Sdt_ProcessarpsIn_SDTRPS_Reg90 $reg90
     * @return \StructType\Sdt_ProcessarpsIn_SDTRPS
     */
    public function setReg90(\StructType\Sdt_ProcessarpsIn_SDTRPS_Reg90 $reg90 = null)
    {
        $this->Reg90 = $reg90;
        return $this;
    }
}
